(*
    SNU 4541.664A HW4 
*)
open Syn
open Tpretty
open Trans
open Memory
open Tcollect


val filename = 
        if Array.length Sys.argv = 2 then
            Array.get Sys.argv 1
        else
            "sample.c--"

(* parsing *)
val pgm = Parser.program Lexer.start (Lexing.from_channel (open_in filename))
            handle ex => Error.handle_exn ex; exit 1


val _ = print_pgm (trans_pgm pgm); print_newline()
val point = read_int()
val _ = print_memset ((eval (trans_pgm pgm)) point); print_newline()


