(*
    SNU 4541.664A HW4 
*)
open Syn
open Tcollect

structure Memory =
struct

fun print_address x =
	case x of
        [] => print_string ""
	|	[Addr(h)] => (print_string h)
	|	(Addr(h)::tl) => (print_string (h^",")); (print_address tl)
fun print Addr(x) y = 
	case y of
		(Itv(Int(i1), Int(i2)),Bottom) => print_string(x^"=[");print_int(i1);
				print_string(","); print_int(i2);print_string("].")
	|	(Itv(Int(i), PInfty),Bottom) => print_string(x^"=[");print_int(i);
				print_string(",oo].")
	|	(Itv(NInfty, Int(i)),Bottom) => print_string(x^"=[-oo,");print_int(i);print_string("].")
	|	(Itv(NInfty, PInfty),Bottom) => print_string(x^"=[-oo,oo].")
	|	(Itv(Int(i1), Int(i2)),Adr(a)) => print_string(x^"=[");print_int(i1);
				print_string(","); print_int(i2);print_string("],");
				print_address(a); print_string(".")
	|	(Itv(Int(i), PInfty),Adr(a)) => print_string(x^"=[");print_int(i);
				print_string(",oo],");print_address(a); print_string(".")
	|	(Itv(NInfty, Int(i)),Adr(a)) => print_string(x^"=[-oo,");print_int(i);
				print_string("],");print_address(a); print_string(".")
	|	(Itv(NInfty, PInfty),Adr(a)) => print_string(x^"=[-oo,oo],");
				print_address(a); print_string(".")
	|	(Bottom,Adr(a)) => print_string(x^"=");
				print_address(a); print_string(".")
	|	(Bottom,Bottom) => print_string(x^"=uninitialized.")
	|	_ => ()
fun print_mem mem = print_string("{");
					Map.iter print mem;
					print_string("}\n")
fun print_memset set = List.iter print_mem set
fun print_memtable t table = (List.iter print_mem (Map.find t table))

end
